Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/NikonCustom.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/NikonCustom.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/NikonCustom.pm	(revision 34921)
@@ -2766,13 +2781,13 @@
         Name => 'AELockButtonPlusDials',
         Mask => 0x70,
-        PrintConv => {
-            0x00 => 'None',
-            0x10 => 'Choose Image Area',
-            0x20 => 'One Step Speed/Aperture',
-            0x30 => 'Choose Non-CPU Lens Number',
-            # n/a  0x40 => 'Focus Point Selection',
-            0x50 => 'Auto bracketing',
-            0x60 => 'Dynamic AF Area',
-            0x70 => 'Shutter speed & Aperture lock',
+        Prinonv => {
+            0 => 'None',
+            1 => 'Choose Image Area',
+            2 => 'One Step Speed/Aperture',
+            3 => 'Choose Non-CPU Lens Number',
+            # n/a  4 => 'Focus Point Selection',
+            5 => 'Auto bracketing',
+            6 => 'Dynamic AF Area',
+            7 => 'Shutter speed & Aperture lock',
         },
     },
@@ -2780,10 +2795,10 @@
         Name => 'CommandDialsReverseRotation',
         Mask => 0x80,
-        PrintConv => { 0x00 => 'No', 0x80 => 'Yes' },
+        PrintConv => \%noYes,
     },
     33.2 => { # CSf9-b
         Name => 'CommandDialsChangeMainSub',
         Mask => 0x40,
-        PrintConv => { 0x00 => 'Off', 0x40 => 'On' },
+        PrintConv => \%offOn,
     },
     33.3 => { # CSf9-c
@@ -2791,6 +2806,6 @@
         Mask => 0x20,
         PrintConv => {
-            0x00 => 'Sub-command Dial',
-            0x20 => 'Aperture Ring',
+            0 => 'Sub-command Dial',
+            1 => 'Aperture Ring',
         },
     },
@@ -2798,5 +2813,5 @@
         Name => 'CommandDialsMenuAndPlayback',
         Mask => 0x10,
-        PrintConv => { 0x00 => 'Off', 0x10 => 'On' },
+        PrintConv => \%offOn,
     },
     33.5 => { # CSf12
@@ -2804,6 +2819,6 @@
         Mask => 0x08,
         PrintConv => {
-            0x00 => '+ 0 -',
-            0x08 => '- 0 +',
+            0 => '+ 0 -',
+            1 => '- 0 +',
         },
     },
@@ -2811,5 +2826,5 @@
         Name => 'PhotoInfoPlayback',
         Mask => 0x04,
-        PrintConv => { 0x00 => 'Off', 0x04 => 'On' },
+        PrintConv => \%offOn,
     },
     33.7 => { # CSf11
@@ -2817,6 +2832,6 @@
         Mask => 0x02,
         PrintConv => {
-            0x00 => 'Release Locked',
-            0x02 => 'Enable Release',
+            0 => 'Release Locked',
+            1 => 'Enable Release',
         },
     },
